<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:12 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>TypeOf (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="TypeOf (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/reflect/ObjectInstantiationException.html" title="class in org.gradle.api.reflect"><span class="strong">Prev Class</span></a></li>
<li>Next Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/reflect/TypeOf.html" target="_top">Frames</a></li>
<li><a href="TypeOf.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.api.reflect</div>
<h2 title="Class TypeOf" class="title">Class TypeOf&lt;T&gt;</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.api.reflect.TypeOf&lt;T&gt;</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl><dt><span class="strong">Type Parameters:</span></dt><dd><code>T</code> - Parameterized type</dd></dl>
<hr>
<br>
<pre><a href="../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public abstract class <span class="strong">TypeOf&lt;T&gt;</span>
extends <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
<div class="block">Provides a way to preserve high-fidelity <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/reflect/Type.html?is-external=true" title="class or interface in java.lang.reflect"><code>Type</code></a> information on generic types.

 Capture a generic type with an anonymous subclass. For example: <pre>   <code>new TypeOf&lt;NamedDomainObjectContainer&lt;ArtifactRepository&gt;&gt;() {}</code></pre></div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>3.5</dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier</th>
<th class="colLast" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected </code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/reflect/TypeOf.html#TypeOf()">TypeOf</a></strong>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/reflect/TypeOf.html#equals(java.lang.Object)">equals</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;o)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../org/gradle/api/reflect/TypeOf.html" title="class in org.gradle.api.reflect">TypeOf</a>&lt;?&gt;&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/reflect/TypeOf.html#getActualTypeArguments()">getActualTypeArguments</a></strong>()</code>
<div class="block">Returns the list of type arguments used in the construction of this parameterized type.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/reflect/TypeOf.html" title="class in org.gradle.api.reflect">TypeOf</a>&lt;?&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/reflect/TypeOf.html#getComponentType()">getComponentType</a></strong>()</code>
<div class="block">Returns the component type of the array type this object represents.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/reflect/TypeOf.html" title="class in org.gradle.api.reflect">TypeOf</a>&lt;?&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/reflect/TypeOf.html#getParameterizedTypeDefinition()">getParameterizedTypeDefinition</a></strong>()</code>
<div class="block">Returns an object that represents the type from which this parameterized type was constructed.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/reflect/TypeOf.html#getSimpleName()">getSimpleName</a></strong>()</code>
<div class="block">Simple name.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/reflect/TypeOf.html" title="class in org.gradle.api.reflect">TypeOf</a>&lt;?&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/reflect/TypeOf.html#getUpperBound()">getUpperBound</a></strong>()</code>
<div class="block">Returns the first declared upper-bound of the wildcard type expression represented by this type.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/reflect/TypeOf.html#hashCode()">hashCode</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/reflect/TypeOf.html#isArray()">isArray</a></strong>()</code>
<div class="block">Queries whether this object represents an array, generic or otherwise.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/reflect/TypeOf.html#isAssignableFrom(java.lang.reflect.Type)">isAssignableFrom</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/reflect/Type.html?is-external=true" title="class or interface in java.lang.reflect">Type</a>&nbsp;type)</code>
<div class="block">Is this type assignable from the given type?</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/reflect/TypeOf.html#isAssignableFrom(org.gradle.api.reflect.TypeOf)">isAssignableFrom</a></strong>(<a href="../../../../org/gradle/api/reflect/TypeOf.html" title="class in org.gradle.api.reflect">TypeOf</a>&lt;?&gt;&nbsp;type)</code>
<div class="block">Is this type assignable from the given type?</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/reflect/TypeOf.html#isParameterized()">isParameterized</a></strong>()</code>
<div class="block">Queries whether this object represents a parameterized type.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/reflect/TypeOf.html#isPublic()">isPublic</a></strong>()</code>
<div class="block">Queries whether the type represented by this object is public (<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/reflect/Modifier.html?is-external=true#isPublic(int)" title="class or interface in java.lang.reflect"><code>Modifier.isPublic(int)</code></a>).</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/reflect/TypeOf.html#isSimple()">isSimple</a></strong>()</code>
<div class="block">Queries whether this object represents a simple (non-composite) type, not an array and not a generic type.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/reflect/TypeOf.html#isSynthetic()">isSynthetic</a></strong>()</code>
<div class="block">Queries whether this object represents a synthetic type as defined by <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true#isSynthetic()" title="class or interface in java.lang"><code>Class.isSynthetic()</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/reflect/TypeOf.html#isWildcard()">isWildcard</a></strong>()</code>
<div class="block">Queries whether this object represents a wildcard type expression, such as
 <code>?</code>, <code>? extends Number</code>, or <code>? super Integer</code>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../org/gradle/api/reflect/TypeOf.html" title="class in org.gradle.api.reflect">TypeOf</a>&lt;?&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/reflect/TypeOf.html#parameterizedTypeOf(org.gradle.api.reflect.TypeOf,%20org.gradle.api.reflect.TypeOf...)">parameterizedTypeOf</a></strong>(<a href="../../../../org/gradle/api/reflect/TypeOf.html" title="class in org.gradle.api.reflect">TypeOf</a>&lt;?&gt;&nbsp;parameterizedType,
                   <a href="../../../../org/gradle/api/reflect/TypeOf.html" title="class in org.gradle.api.reflect">TypeOf</a>&lt;?&gt;...&nbsp;typeArguments)</code>
<div class="block">Constructs a new parameterized type from a given parameterized type definition and an array of type arguments.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/reflect/TypeOf.html#toString()">toString</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static &lt;T&gt;&nbsp;<a href="../../../../org/gradle/api/reflect/TypeOf.html" title="class in org.gradle.api.reflect">TypeOf</a>&lt;T&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/reflect/TypeOf.html#typeOf(java.lang.Class)">typeOf</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;T&gt;&nbsp;type)</code>
<div class="block">Creates an instance of TypeOf for the given Class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static &lt;T&gt;&nbsp;<a href="../../../../org/gradle/api/reflect/TypeOf.html" title="class in org.gradle.api.reflect">TypeOf</a>&lt;T&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/reflect/TypeOf.html#typeOf(java.lang.reflect.Type)">typeOf</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/reflect/Type.html?is-external=true" title="class or interface in java.lang.reflect">Type</a>&nbsp;type)</code>
<div class="block">Creates an instance of TypeOf for the given Type.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long,%20int)" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="TypeOf()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>TypeOf</h4>
<pre>protected&nbsp;TypeOf()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="typeOf(java.lang.Class)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>typeOf</h4>
<pre>public static&nbsp;&lt;T&gt;&nbsp;<a href="../../../../org/gradle/api/reflect/TypeOf.html" title="class in org.gradle.api.reflect">TypeOf</a>&lt;T&gt;&nbsp;typeOf(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;T&gt;&nbsp;type)</pre>
<div class="block">Creates an instance of TypeOf for the given Class.</div>
<dl><dt><span class="strong">Type Parameters:</span></dt><dd><code>T</code> - the parameterized type of the given Class</dd><dt><span class="strong">Parameters:</span></dt><dd><code>type</code> - the Class</dd>
<dt><span class="strong">Returns:</span></dt><dd>the TypeOf that captures the generic type of the given Class</dd></dl>
</li>
</ul>
<a name="typeOf(java.lang.reflect.Type)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>typeOf</h4>
<pre>public static&nbsp;&lt;T&gt;&nbsp;<a href="../../../../org/gradle/api/reflect/TypeOf.html" title="class in org.gradle.api.reflect">TypeOf</a>&lt;T&gt;&nbsp;typeOf(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/reflect/Type.html?is-external=true" title="class or interface in java.lang.reflect">Type</a>&nbsp;type)</pre>
<div class="block">Creates an instance of TypeOf for the given Type.</div>
<dl><dt><span class="strong">Type Parameters:</span></dt><dd><code>T</code> - the parameterized type of the given Type</dd><dt><span class="strong">Parameters:</span></dt><dd><code>type</code> - the Type</dd>
<dt><span class="strong">Returns:</span></dt><dd>the TypeOf that captures the generic type of the given Type</dd></dl>
</li>
</ul>
<a name="parameterizedTypeOf(org.gradle.api.reflect.TypeOf, org.gradle.api.reflect.TypeOf...)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>parameterizedTypeOf</h4>
<pre>public static&nbsp;<a href="../../../../org/gradle/api/reflect/TypeOf.html" title="class in org.gradle.api.reflect">TypeOf</a>&lt;?&gt;&nbsp;parameterizedTypeOf(<a href="../../../../org/gradle/api/reflect/TypeOf.html" title="class in org.gradle.api.reflect">TypeOf</a>&lt;?&gt;&nbsp;parameterizedType,
                            <a href="../../../../org/gradle/api/reflect/TypeOf.html" title="class in org.gradle.api.reflect">TypeOf</a>&lt;?&gt;...&nbsp;typeArguments)</pre>
<div class="block">Constructs a new parameterized type from a given parameterized type definition and an array of type arguments.

 For example, <code>parameterizedTypeOf(new TypeOf&lt;List&lt;?&gt;&gt;() {}, new TypeOf&lt;String&gt;() {})</code> is equivalent to
 <code>new TypeOf&lt;List&lt;String&gt;&gt;() {}</code>, except both the parameterized type definition and type arguments can be dynamically computed.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>parameterizedType</code> - the parameterized type from which to construct the new parameterized type</dd><dd><code>typeArguments</code> - the arguments with which to construct the new parameterized type</dd><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../org/gradle/api/reflect/TypeOf.html#isParameterized()"><code>isParameterized()</code></a></dd></dl>
</li>
</ul>
<a name="isSimple()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isSimple</h4>
<pre>public&nbsp;boolean&nbsp;isSimple()</pre>
<div class="block">Queries whether this object represents a simple (non-composite) type, not an array and not a generic type.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>true if this object represents a simple type.</dd></dl>
</li>
</ul>
<a name="isSynthetic()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isSynthetic</h4>
<pre>public&nbsp;boolean&nbsp;isSynthetic()</pre>
<div class="block">Queries whether this object represents a synthetic type as defined by <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true#isSynthetic()" title="class or interface in java.lang"><code>Class.isSynthetic()</code></a>.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>true if this object represents a synthetic type.</dd></dl>
</li>
</ul>
<a name="isPublic()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isPublic</h4>
<pre>public&nbsp;boolean&nbsp;isPublic()</pre>
<div class="block">Queries whether the type represented by this object is public (<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/reflect/Modifier.html?is-external=true#isPublic(int)" title="class or interface in java.lang.reflect"><code>Modifier.isPublic(int)</code></a>).</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/reflect/Modifier.html?is-external=true#isPublic(int)" title="class or interface in java.lang.reflect"><code>Modifier.isPublic(int)</code></a>, 
<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true#getModifiers()" title="class or interface in java.lang"><code>Class.getModifiers()</code></a></dd></dl>
</li>
</ul>
<a name="isArray()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isArray</h4>
<pre>public&nbsp;boolean&nbsp;isArray()</pre>
<div class="block">Queries whether this object represents an array, generic or otherwise.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>true if this object represents an array.</dd><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../org/gradle/api/reflect/TypeOf.html#getComponentType()"><code>getComponentType()</code></a></dd></dl>
</li>
</ul>
<a name="getComponentType()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getComponentType</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/javax/annotation/Nullable.html?is-external=true" title="class or interface in javax.annotation">@Nullable</a>
public&nbsp;<a href="../../../../org/gradle/api/reflect/TypeOf.html" title="class in org.gradle.api.reflect">TypeOf</a>&lt;?&gt;&nbsp;getComponentType()</pre>
<div class="block">Returns the component type of the array type this object represents.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>null if this object does not represent an array type.</dd><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../org/gradle/api/reflect/TypeOf.html#isArray()"><code>isArray()</code></a></dd></dl>
</li>
</ul>
<a name="isParameterized()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isParameterized</h4>
<pre>public&nbsp;boolean&nbsp;isParameterized()</pre>
<div class="block">Queries whether this object represents a parameterized type.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>true if this object represents a parameterized type.</dd><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../org/gradle/api/reflect/TypeOf.html#getParameterizedTypeDefinition()"><code>getParameterizedTypeDefinition()</code></a>, 
<a href="../../../../org/gradle/api/reflect/TypeOf.html#getActualTypeArguments()"><code>getActualTypeArguments()</code></a></dd></dl>
</li>
</ul>
<a name="getParameterizedTypeDefinition()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getParameterizedTypeDefinition</h4>
<pre>public&nbsp;<a href="../../../../org/gradle/api/reflect/TypeOf.html" title="class in org.gradle.api.reflect">TypeOf</a>&lt;?&gt;&nbsp;getParameterizedTypeDefinition()</pre>
<div class="block">Returns an object that represents the type from which this parameterized type was constructed.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../org/gradle/api/reflect/TypeOf.html#isParameterized()"><code>isParameterized()</code></a></dd></dl>
</li>
</ul>
<a name="getActualTypeArguments()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getActualTypeArguments</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../org/gradle/api/reflect/TypeOf.html" title="class in org.gradle.api.reflect">TypeOf</a>&lt;?&gt;&gt;&nbsp;getActualTypeArguments()</pre>
<div class="block">Returns the list of type arguments used in the construction of this parameterized type.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../org/gradle/api/reflect/TypeOf.html#isParameterized()"><code>isParameterized()</code></a></dd></dl>
</li>
</ul>
<a name="isWildcard()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isWildcard</h4>
<pre>public&nbsp;boolean&nbsp;isWildcard()</pre>
<div class="block">Queries whether this object represents a wildcard type expression, such as
 <code>?</code>, <code>? extends Number</code>, or <code>? super Integer</code>.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>true if this object represents a wildcard type expression.</dd><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../org/gradle/api/reflect/TypeOf.html#getUpperBound()"><code>getUpperBound()</code></a></dd></dl>
</li>
</ul>
<a name="getUpperBound()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getUpperBound</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/javax/annotation/Nullable.html?is-external=true" title="class or interface in javax.annotation">@Nullable</a>
public&nbsp;<a href="../../../../org/gradle/api/reflect/TypeOf.html" title="class in org.gradle.api.reflect">TypeOf</a>&lt;?&gt;&nbsp;getUpperBound()</pre>
<div class="block">Returns the first declared upper-bound of the wildcard type expression represented by this type.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>null if no upper-bound has been explicitly declared.</dd></dl>
</li>
</ul>
<a name="isAssignableFrom(org.gradle.api.reflect.TypeOf)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isAssignableFrom</h4>
<pre>public final&nbsp;boolean&nbsp;isAssignableFrom(<a href="../../../../org/gradle/api/reflect/TypeOf.html" title="class in org.gradle.api.reflect">TypeOf</a>&lt;?&gt;&nbsp;type)</pre>
<div class="block">Is this type assignable from the given type?</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>type</code> - the given type</dd>
<dt><span class="strong">Returns:</span></dt><dd>true if this type is assignable from the given type, false otherwise</dd></dl>
</li>
</ul>
<a name="isAssignableFrom(java.lang.reflect.Type)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isAssignableFrom</h4>
<pre>public final&nbsp;boolean&nbsp;isAssignableFrom(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/reflect/Type.html?is-external=true" title="class or interface in java.lang.reflect">Type</a>&nbsp;type)</pre>
<div class="block">Is this type assignable from the given type?</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>type</code> - the given type</dd>
<dt><span class="strong">Returns:</span></dt><dd>true if this type is assignable from the given type, false otherwise</dd></dl>
</li>
</ul>
<a name="getSimpleName()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSimpleName</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getSimpleName()</pre>
<div class="block">Simple name.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>this type's simple name</dd></dl>
</li>
</ul>
<a name="toString()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>toString</h4>
<pre>public final&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;toString()</pre>
<dl>
<dt><strong>Overrides:</strong></dt>
<dd><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString()" title="class or interface in java.lang">toString</a></code>&nbsp;in class&nbsp;<code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></dd>
</dl>
</li>
</ul>
<a name="equals(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>equals</h4>
<pre>public&nbsp;boolean&nbsp;equals(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;o)</pre>
<dl>
<dt><strong>Overrides:</strong></dt>
<dd><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</a></code>&nbsp;in class&nbsp;<code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></dd>
</dl>
</li>
</ul>
<a name="hashCode()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>hashCode</h4>
<pre>public&nbsp;int&nbsp;hashCode()</pre>
<dl>
<dt><strong>Overrides:</strong></dt>
<dd><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</a></code>&nbsp;in class&nbsp;<code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/reflect/ObjectInstantiationException.html" title="class in org.gradle.api.reflect"><span class="strong">Prev Class</span></a></li>
<li>Next Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/reflect/TypeOf.html" target="_top">Frames</a></li>
<li><a href="TypeOf.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
